#ifndef CORE_UNICODE_H
#define CORE_UNICODE_H

#include "core/Types.hpp"

typedef struct {
    u8 data[4];
    u32 length;
} UTF8;

UTF8 convertUnicodeToUTF8(u32 c);
u32 convertUTF8toUnicode(UTF8 c);
bool isUTF8Remainder(u8 c);
u32 getUTF8Length(u8 c);

#endif
