#ifndef CORE_TESTS_H
#define CORE_TESTS_H

[[noreturn]] void testInvalidAllocate();
[[noreturn]] void testInvalidReallocate();
[[noreturn]] void testPostCanary();
[[noreturn]] void testPreCanary();
[[noreturn]] void testPreCanaryNew();
[[noreturn]] void testPreCanaryNewArray();
void testArray();
void testArrayList(bool light);
void testArrayString();
void testBitArray();
void testBox();
void testBuffer(bool light);
void testBufferedValue();
void testClock(bool light);
void testColor();
void testComponents();
void testError();
void testFile();
void testFileReader();
void testFrustum();
void testHashMap(bool light);
void testHashedString();
void testInteractiveTerminal();
void testLinkedList(bool light);
void testList(bool light);
void testMath();
void testMatrix();
void testMatrixStack(bool light);
void testNew();
void testPlane();
void testQuaternion();
void testQueue();
void testRandom(bool light);
void testReadLine();
void testRingBuffer();
void testSpinLock();
void testStack(bool light);
void testTerminal(bool tty);
void testTest();
void testThread();
void testUnicode();
void testUniquePointer();
void testUtility(bool light);
void testVector();
void testView();

#endif
